Installing SP2 on debian fails ?!

bridged with qnx.development_tools
Post Reply
Erol

Installing SP2 on debian fails ?!

Post by Erol » Tue Mar 07, 2006 9:49 am

Hi,

I've tried to install the Qnx Sp2 on my machine running debian linux
but
i got the error message: "This software can only be
installed with QNX Momentics 6.3.0. Please install QNX Momentics
6.3.0 first."
It seems that the installer doesn't recognize that QNX Momentics is
already installed !!
Do I have to install Sp1 first or what's th problem ?

Thanks,

Erol

Rodney Dowdall

Re: Installing SP2 on debian fails ?!

Post by Rodney Dowdall » Tue Mar 07, 2006 2:47 pm

Hello Erol

No you shouldn't have to install SP1 first. It sounds like it can't
find the environment variables that point to the installation directory.

What does your env look like?

Thanks,
Rodney


Erol wrote:
Hi,

I've tried to install the Qnx Sp2 on my machine running debian linux
but
i got the error message: "This software can only be
installed with QNX Momentics 6.3.0. Please install QNX Momentics
6.3.0 first."
It seems that the installer doesn't recognize that QNX Momentics is
already installed !!
Do I have to install Sp1 first or what's th problem ?

Thanks,

Erol

Erol

re:Installing SP2 on debian fails ?!

Post by Erol » Wed Mar 08, 2006 9:49 am

Hello Rodney,

I think the variables are set:

env|grep QNX gives me

QNX_CONFIGURATION=/etc/qnx/qconfig
QNX_TARGET=/opt/qnx630/target
QNX_HOST=/opt/qnx630/host/

Thanks,
Erol

Rodney Dowdall

Re: Installing SP2 on debian fails ?!

Post by Rodney Dowdall » Wed Mar 08, 2006 2:37 pm

Hello Erol

What happens if you run qconfig from the command line? Also is it a
full blown version of QNX 6.3.0 or an eval? Is it an SE version of QNX
6.3.0 or a PE version of QNX 6.3.0?

Thanks,
Rodney


Erol wrote:
Hello Rodney,

I think the variables are set:

env|grep QNX gives me

QNX_CONFIGURATION=/etc/qnx/qconfig
QNX_TARGET=/opt/qnx630/target
QNX_HOST=/opt/qnx630/host/

Thanks,
Erol

Erol

re:Installing SP2 on debian fails ?!

Post by Erol » Tue Mar 14, 2006 11:48 am

When I run "qconfig" as root on console i get:

"QNX_CONFIGURATION not set, -d not given, and/or
/etc/qnx/qconfig/qconfig does not exist"

QNX_CONFIGURATION is set already but there is no
/etc/qnx/qconfig/qconfig. There's only a file qnx_momentics_6.3.0.xml
in this directory.

When I run "qconfig" as su on command line i get:

Installation Name: QNX Momentics 6.3.0
Version: 6.3.0
Base Directory: /opt/qnx630
QNX_HOST: /opt/qnx630/host/linux/x86
QNX_TARGET: /opt/qnx630/target/qnx6

I use the QNX PE full version.

Thanks,

Erol

Rodney Dowdall

Re: Installing SP2 on debian fails ?!

Post by Rodney Dowdall » Tue Mar 14, 2006 2:46 pm

Hello Erol

Are you running the SP2 install as root?

Thanks,
Rodney


Erol wrote:
When I run "qconfig" as root on console i get:

"QNX_CONFIGURATION not set, -d not given, and/or
/etc/qnx/qconfig/qconfig does not exist"

QNX_CONFIGURATION is set already but there is no
/etc/qnx/qconfig/qconfig. There's only a file qnx_momentics_6.3.0.xml
in this directory.

When I run "qconfig" as su on command line i get:

Installation Name: QNX Momentics 6.3.0
Version: 6.3.0
Base Directory: /opt/qnx630
QNX_HOST: /opt/qnx630/host/linux/x86
QNX_TARGET: /opt/qnx630/target/qnx6

I use the QNX PE full version.

Thanks,

Erol

Erol

re:Installing SP2 on debian fails ?!

Post by Erol » Wed Mar 15, 2006 7:48 am

Hello Rodney,

yes, of course !

Thanks,
Erol

Erol

re:Installing SP2 on debian fails ?!

Post by Erol » Thu Mar 16, 2006 2:00 pm

Hello Rodney,

thanks for your help. I've solved the problem now.
It was just a little problem with the environment variables !

The path was not right. Some directory entries were missing:

QNX_TARGET=/opt/qnx630/target/qnx6
QNX_HOST=/opt/qnx630/host/[b:c4b240616b]linux/x86 [/b:c4b240616b]

:lol:

Rodney Dowdall

Re: Installing SP2 on debian fails ?!

Post by Rodney Dowdall » Thu Mar 16, 2006 2:22 pm

Hello Erol

Sorry I missed that. Good to hear that it now installs.

Thanks,
Rodney


Erol wrote:
Hello Rodney,

thanks for your help. I've solved the problem now.
It was just a little problem with the environment variables !

The path was not right. Some directory entries were missing:

QNX_TARGET=/opt/qnx630/target/qnx6
QNX_HOST=/opt/qnx630/host/[b:c4b240616b]linux/x86 [/b:c4b240616b]

:lol:

Post Reply

Return to “qnx.development_tools”